Update Platform
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
idstring
name?string
endpointUrl?string
Response Body
application/json
curl -X PATCH "https://api.nrings.io/v1/platform/{id}" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "endpointUrl": "string"}'{
"platform": {
"id": "string",
"driver": "PLATFORM_DRIVER_UNSPECIFIED",
"name": "string",
"endpointUrl": "string",
"serviceStatus": "SERVICE_STATUS_UNSPECIFIED",
"organizationId": "string",
"agentId": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
}
}
}